> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a Setting

> A `GET` to the `/settings/{settingHandle}` endpoint allows your application to retrieve a specific settings.



## OpenAPI

````yaml get /v3/settings/{setting}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/settings/{setting}:
    get:
      tags:
        - Setting
      summary: Read a Setting
      description: >-
        A `GET` to the `/settings/{settingHandle}` endpoint allows your
        application to retrieve a specific settings.
      operationId: settings.show
      parameters:
        - name: setting
          in: path
          required: true
          description: The setting handle
          schema:
            type: string
      responses:
        '200':
          description: '`Setting`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Setting'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Setting:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        value:
          type:
            - string
            - 'null'
        type:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - value
        - type
        - created_at
        - updated_at
      title: Setting
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````